package com.yeejoin.amos.fas.business.service.intfc;

import com.yeejoin.amos.fas.dao.entity.ContingencyPlanInstance;
import com.yeejoin.amos.fas.dao.entity.Equipment;

import java.util.List;
import java.util.Optional;

public interface IContingencyInstance {

    ContingencyPlanInstance createInstanceRecord(String instanceNo, String category, String subCategory, String content, String recordType, String icon);



    List<ContingencyPlanInstance> queryForTimeLine(String instanceNo,String recordType) throws Exception;


    void setButtonExecuted(String batchNo,String contingencyPlanId,String code,String buttonState) throws Exception;
    void setButtonWait(String batchNo,String contingencyPlanId,String buttonState) throws Exception;


    Optional<Equipment> fire(String batchNo, String stepCode, String contingencyPlanId, String buttonCode, String buttonState, String stepStateOnbutton) throws Exception;

    void updateStep(String step, String batchNo);
}
